function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { Customized, Rectangle } from 'recharts';
import { useTranslation } from 'react-i18next';
import classNames from 'classnames';
import styles from './ColoredBar.component.module.scss';
import { FormatValue } from "@talend/react-components";
import { jsx as _jsx } from "react/jsx-runtime";
function ColoredBar({
  height,
  width,
  y,
  index,
  barType,
  focusedBarIndex,
  chartStyle,
  ...rest
}) {
  const MIN_BAR_SIZE = 3;
  const correctedHeight = !height ? 0 : Math.max(MIN_BAR_SIZE, height);
  const props = {
    x: rest.x,
    y: !(height && y) ? y : y - (correctedHeight - height),
    width: !width ? 0 : Math.max(MIN_BAR_SIZE, width),
    height: correctedHeight
  };
  return /*#__PURE__*/_jsx(Rectangle, {
    x: props.x,
    y: props.y,
    width: props.width,
    height: props.height,
    className: classNames(styles[`colored-bar--${chartStyle}`], {
      [styles['colored-bar--hover']]: focusedBarIndex === index
    }, styles[`colored-bar__${barType}-bar`])
  });
}
function ColoredBarLabel({
  focusedBarIndex,
  payload,
  chartStyle,
  ...props
}) {
  const {
    t
  } = useTranslation();
  return /*#__PURE__*/_jsx(Customized, {
    component: () => /*#__PURE__*/_jsx("foreignObject", {
      className: styles['colored-bar__label-container'],
      x: props.x,
      y: props.y - 10,
      height: 20,
      width: "100%",
      children: /*#__PURE__*/_jsx(FormatValue, {
        className: classNames(styles[`colored-bar--${chartStyle}`], {
          [styles['colored-bar--hover']]: focusedBarIndex === payload.index
        }, styles['colored-bar__label']),
        value: (payload === null || payload === void 0 ? void 0 : payload.value) || t('EMPTY', 'Empty')
      })
    })
  });
}
export default _extends(ColoredBar, {
  Label: ColoredBarLabel
});
//# sourceMappingURL=ColoredBar.component.js.map