function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { Bar, BarChart, CartesianGrid, ResponsiveContainer, Tooltip, XAxis, YAxis } from 'recharts';
import styles from './HorizontalBarChart.component.module.scss';
import { getPrimaryBarValue, getSecondaryBarValue, PRIMARY_BAR_ANIMATION_PROPS, SECONDARY_BAR_ANIMATION_PROPS, useBarChart } from '../useBarChart.hook';
import ColoredBar from '../ColoredBar/ColoredBar.component';
import TooltipCursor from '../TooltipCursor/TooltipCursor.component';
import { ChartStyle } from '../../../types';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const BAR_GAP = 5;
const BAR_HEIGHT = 20;
const X_AXIS_TICKS_HEIGHT = 40;
function HorizontalBarChart({
  chartStyle,
  data,
  dataFeature,
  onBarClick,
  getTooltipContent,
  width,
  height
}) {
  const {
    focusedBarIndex,
    onClick,
    onMouseMove,
    onMouseOut,
    TooltipContent
  } = useBarChart(data, onBarClick, getTooltipContent);
  // If no height is provided, guess it from content (we don't want the bars to stretch to available height)
  const contentHeight = height || X_AXIS_TICKS_HEIGHT + data.length * (BAR_GAP + BAR_HEIGHT);
  return /*#__PURE__*/_jsx(ResponsiveContainer, {
    width: width,
    height: contentHeight,
    children: /*#__PURE__*/_jsxs(BarChart, {
      data: data,
      layout: "vertical",
      className: styles['horizontal-bar-chart'],
      onMouseMove: onMouseMove,
      onClick: onClick,
      onMouseLeave: onMouseOut,
      children: [/*#__PURE__*/_jsx(CartesianGrid, {
        strokeDasharray: "3 3",
        horizontal: false
      }), /*#__PURE__*/_jsx(Bar, {
        dataKey: getPrimaryBarValue,
        stackId: "1",
        ...PRIMARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/_jsx(ColoredBar, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex,
          barType: "primary"
        })
      }), /*#__PURE__*/_jsx(Bar, {
        dataKey: getSecondaryBarValue,
        stackId: "1",
        ...SECONDARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/_jsx(ColoredBar, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex,
          barType: "secondary"
        })
      }), /*#__PURE__*/_jsx(Tooltip, {
        isAnimationActive: false,
        content: /*#__PURE__*/_jsx(TooltipContent, {}),
        cursor: /*#__PURE__*/_jsx(TooltipCursor, {
          dataFeature: dataFeature
        })
      }), /*#__PURE__*/_jsx(XAxis, {
        dataKey: "value",
        type: "number",
        orientation: "top"
      }), /*#__PURE__*/_jsx(YAxis, {
        dataKey: "key",
        tickMargin: 5,
        tickLine: false,
        tick: /*#__PURE__*/_jsx(ColoredBar.Label, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex
        }),
        type: "category",
        interval: 0,
        mirror: true
      })]
    })
  });
}
export default _extends(HorizontalBarChart, {
  ChartStyle
});
//# sourceMappingURL=HorizontalBarChart.component.js.map