import { Customized } from 'recharts';
import styles from './TooltipCursor.component.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Custom component to allow data-x props
 * @param props
 */
function TooltipCursor({
  x,
  y,
  width,
  height,
  dataFeature
}) {
  return /*#__PURE__*/_jsx(Customized, {
    component: () => /*#__PURE__*/_jsx("foreignObject", {
      x: x,
      y: y,
      width: width,
      height: height,
      "data-feature": dataFeature,
      className: styles['tooltip-cursor'],
      cursor: "pointer",
      pointerEvents: "all"
    })
  });
}
export default TooltipCursor;
//# sourceMappingURL=TooltipCursor.component.js.map