import { Topology } from 'topojson-specification';
export interface Entry {
    key: string;
    value: number;
}
export interface GeoChartConfig {
    topology: Topology;
    /** the name of the `objects` collection to use (first one will be used if not provided) */
    layer?: string;
    labelProperty?: string;
    valueProperties: string[];
}
export interface GeoChartProps {
    chartConfig: GeoChartConfig;
    data: Entry[];
    columnName: string;
    onSelection: (key: string) => void;
}
declare function GeoChart({ data, columnName, onSelection, chartConfig }: GeoChartProps): JSX.Element;
export default GeoChart;
