import classNames from 'classnames';
import styles from './LineChart.module.scss';
import { LineIcon } from './LineChartLineIcon.component';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export const CustomLegend = ({
  payload,
  external,
  hasLineSelection,
  selection,
  onLegendClicked = () => {},
  onLegendHovered = () => {}
}) => {
  const {
    linesConfig,
    align,
    showInactives,
    isRightAxisDisplayed
  } = external;
  const linesToShow = showInactives ? linesConfig : linesConfig.filter(lineConfig => lineConfig.status !== 'inactive');
  if (payload !== null && payload !== void 0 && payload.length) {
    return /*#__PURE__*/_jsx("ul", {
      className: classNames(styles['line-chart-custom-legend'], styles[`line-chart-custom-legend--align-${align || 'right'}`], {
        [styles['line-chart-custom-legend--shift-left']]: isRightAxisDisplayed
      }),
      children: linesToShow.map(config => {
        var _config$legendLabel;
        return /*#__PURE__*/_jsx("li", {
          children: /*#__PURE__*/_jsxs("div", {
            "data-testid": `legend_item_${config.key}`,
            className: classNames(styles['line-chart-custom-legend-item'], {
              [styles['line-chart-custom-legend__button--selection-enabled']]: hasLineSelection,
              [styles['line-chart-custom-legend__button--selected']]: selection.includes(config.key),
              [styles['line-chart-custom-legend__button--inactive']]: (config === null || config === void 0 ? void 0 : config.status) === 'inactive'
            }),
            role: "button",
            onClick: () => onLegendClicked(config.key),
            onKeyPress: () => onLegendClicked(config.key),
            onMouseEnter: () => onLegendHovered(config.key),
            onMouseLeave: () => onLegendHovered(''),
            tabIndex: 0,
            children: [/*#__PURE__*/_jsx(LineIcon, {
              color: config.color,
              dashed: config === null || config === void 0 ? void 0 : config.dashed
            }), /*#__PURE__*/_jsx("span", {
              className: classNames(styles['line-chart-custom-legend__line-label']),
              children: (_config$legendLabel = config.legendLabel) !== null && _config$legendLabel !== void 0 ? _config$legendLabel : config.key
            })]
          })
        }, config.key);
      })
    });
  }
  return null;
};
//# sourceMappingURL=LineChartLegend.component.js.map