import classNames from 'classnames';
import styles from './LineChart.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
const getLineIconBackground = (color, dashed) => {
  if (dashed) {
    return `repeating-linear-gradient(to right, ${color} 0, ${color} 7px,transparent 6px,transparent 9px)`;
  }
  return color;
};
export const LineIcon = ({
  color,
  dashed = false
}) => {
  return /*#__PURE__*/_jsx("div", {
    className: classNames(styles['line-chart-line-icon']),
    style: {
      background: getLineIconBackground(color, dashed)
    }
  });
};
//# sourceMappingURL=LineChartLineIcon.component.js.map