import classNames from 'classnames';
import { Tooltip } from '../Tooltip/Tooltip.component';
import styles from './LineChart.module.scss';
import { LineIcon } from './LineChartLineIcon.component';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export const CustomTooltip = ({
  active,
  payload,
  label,
  external
}) => {
  const {
    linesConfig,
    leftUnit,
    rightUnit,
    xformatter,
    showInactives
  } = external;
  const getLineUnit = axis => axis === 'right' ? rightUnit : leftUnit;
  const getItemDisplayValue = (payloadTable, lineConfig) => {
    const initialValue = payloadTable.find(item => item.dataKey === lineConfig.key).value;
    return lineConfig.tooltipFormatter ? lineConfig.tooltipFormatter(initialValue) : initialValue;
  };
  const labelDisplayValue = label && xformatter ? xformatter(label) : label;
  const linesToShow = showInactives ? linesConfig : linesConfig.filter(lineConfig => lineConfig.status !== 'inactive');
  if (active && payload !== null && payload !== void 0 && payload.length) {
    return /*#__PURE__*/_jsx(Tooltip, {
      title: labelDisplayValue,
      children: /*#__PURE__*/_jsx("ul", {
        className: styles['line-chart-custom-tooltip'],
        children: linesToShow.map(config => {
          var _config$tooltipLabel;
          return /*#__PURE__*/_jsxs("li", {
            id: `tooltip_item_${config.key}`,
            className: classNames({
              [styles['line-chart-custom-tooltip__line-item--inactive']]: (config === null || config === void 0 ? void 0 : config.status) === 'inactive'
            }),
            children: [/*#__PURE__*/_jsx(LineIcon, {
              color: config.color,
              dashed: config === null || config === void 0 ? void 0 : config.dashed
            }), /*#__PURE__*/_jsx("span", {
              children: (_config$tooltipLabel = config.tooltipLabel) !== null && _config$tooltipLabel !== void 0 ? _config$tooltipLabel : config.key
            }), ":", /*#__PURE__*/_jsx("span", {
              className: classNames(styles['line-chart-custom-tooltip__line-value']),
              children: getItemDisplayValue(payload, config)
            }), /*#__PURE__*/_jsx("span", {
              children: getLineUnit(config.axis)
            })]
          }, config.key);
        })
      })
    });
  }
  return null;
};
//# sourceMappingURL=LineChartTooltip.component.js.map