import { format } from 'date-fns/format';
import i18next from 'i18next';

// should use locale value
const DATE_FORMAT = 'yyyy-MM-dd';
const DATE_TIME_FORMAT = 'yyyy-MM-dd HH:mm:ss';

/**
 * Return the number of fraction digits
 */
export function getFractionDigits(num) {
  var _match$;
  const match = `${num}`.match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);
  // match[1] Number of digits right of decimal point.
  // match[2]	Scientific notation
  return Math.max(0, ((match === null || match === void 0 ? void 0 : (_match$ = match[1]) === null || _match$ === void 0 ? void 0 : _match$.length) || 0) - +((match === null || match === void 0 ? void 0 : match[2]) || 0));
}
export function formatDate(value) {
  return format(value, DATE_FORMAT);
}
export function formatDateTime(value) {
  return format(value, DATE_TIME_FORMAT);
}
export function formatNumber(value, precision) {
  return value > 1e10 ? value.toFixed(0) : value.toLocaleString(i18next.language, {
    maximumFractionDigits: precision
  });
}
//# sourceMappingURL=formatters.js.map