"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _recharts = require("recharts");
var _reactI18next = require("react-i18next");
var _classnames = _interopRequireDefault(require("classnames"));
var _ColoredBarComponentModule = _interopRequireDefault(require("./ColoredBar.component.module.scss"));
var _reactComponents = require("@talend/react-components");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function ColoredBar({
  height,
  width,
  y,
  index,
  barType,
  focusedBarIndex,
  chartStyle,
  ...rest
}) {
  const MIN_BAR_SIZE = 3;
  const correctedHeight = !height ? 0 : Math.max(MIN_BAR_SIZE, height);
  const props = {
    x: rest.x,
    y: !(height && y) ? y : y - (correctedHeight - height),
    width: !width ? 0 : Math.max(MIN_BAR_SIZE, width),
    height: correctedHeight
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Rectangle, {
    x: props.x,
    y: props.y,
    width: props.width,
    height: props.height,
    className: (0, _classnames.default)(_ColoredBarComponentModule.default[`colored-bar--${chartStyle}`], {
      [_ColoredBarComponentModule.default['colored-bar--hover']]: focusedBarIndex === index
    }, _ColoredBarComponentModule.default[`colored-bar__${barType}-bar`])
  });
}
function ColoredBarLabel({
  focusedBarIndex,
  payload,
  chartStyle,
  ...props
}) {
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Customized, {
    component: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("foreignObject", {
      className: _ColoredBarComponentModule.default['colored-bar__label-container'],
      x: props.x,
      y: props.y - 10,
      height: 20,
      width: "100%",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactComponents.FormatValue, {
        className: (0, _classnames.default)(_ColoredBarComponentModule.default[`colored-bar--${chartStyle}`], {
          [_ColoredBarComponentModule.default['colored-bar--hover']]: focusedBarIndex === payload.index
        }, _ColoredBarComponentModule.default['colored-bar__label']),
        value: (payload === null || payload === void 0 ? void 0 : payload.value) || t('EMPTY', 'Empty')
      })
    })
  });
}
var _default = exports.default = _extends(ColoredBar, {
  Label: ColoredBarLabel
});
//# sourceMappingURL=ColoredBar.component.js.map