"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _recharts = require("recharts");
var _HorizontalBarChartComponentModule = _interopRequireDefault(require("./HorizontalBarChart.component.module.scss"));
var _useBarChart = require("../useBarChart.hook");
var _ColoredBar = _interopRequireDefault(require("../ColoredBar/ColoredBar.component"));
var _TooltipCursor = _interopRequireDefault(require("../TooltipCursor/TooltipCursor.component"));
var _types = require("../../../types");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const BAR_GAP = 5;
const BAR_HEIGHT = 20;
const X_AXIS_TICKS_HEIGHT = 40;
function HorizontalBarChart({
  chartStyle,
  data,
  dataFeature,
  onBarClick,
  getTooltipContent,
  width,
  height
}) {
  const {
    focusedBarIndex,
    onClick,
    onMouseMove,
    onMouseOut,
    TooltipContent
  } = (0, _useBarChart.useBarChart)(data, onBarClick, getTooltipContent);
  // If no height is provided, guess it from content (we don't want the bars to stretch to available height)
  const contentHeight = height || X_AXIS_TICKS_HEIGHT + data.length * (BAR_GAP + BAR_HEIGHT);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.ResponsiveContainer, {
    width: width,
    height: contentHeight,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_recharts.BarChart, {
      data: data,
      layout: "vertical",
      className: _HorizontalBarChartComponentModule.default['horizontal-bar-chart'],
      onMouseMove: onMouseMove,
      onClick: onClick,
      onMouseLeave: onMouseOut,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.CartesianGrid, {
        strokeDasharray: "3 3",
        horizontal: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Bar, {
        dataKey: _useBarChart.getPrimaryBarValue,
        stackId: "1",
        ..._useBarChart.PRIMARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColoredBar.default, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex,
          barType: "primary"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Bar, {
        dataKey: _useBarChart.getSecondaryBarValue,
        stackId: "1",
        ..._useBarChart.SECONDARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColoredBar.default, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex,
          barType: "secondary"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Tooltip, {
        isAnimationActive: false,
        content: /*#__PURE__*/(0, _jsxRuntime.jsx)(TooltipContent, {}),
        cursor: /*#__PURE__*/(0, _jsxRuntime.jsx)(_TooltipCursor.default, {
          dataFeature: dataFeature
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.XAxis, {
        dataKey: "value",
        type: "number",
        orientation: "top"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.YAxis, {
        dataKey: "key",
        tickMargin: 5,
        tickLine: false,
        tick: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColoredBar.default.Label, {
          chartStyle: chartStyle,
          focusedBarIndex: focusedBarIndex
        }),
        type: "category",
        interval: 0,
        mirror: true
      })]
    })
  });
}
var _default = exports.default = _extends(HorizontalBarChart, {
  ChartStyle: _types.ChartStyle
});
//# sourceMappingURL=HorizontalBarChart.component.js.map