"use strict";

var _types = require("../../../types");
var _HorizontalBarChart = _interopRequireDefault(require("./HorizontalBarChart.component"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/* eslint-disable testing-library/await-async-queries */

/* eslint-disable testing-library/prefer-screen-queries */

context('<HorizontalBarChart />', () => {
  it('Should trigger onBarClick', () => {
    const onBarClick = cy.stub().as('onBarClick');
    cy.mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_HorizontalBarChart.default, {
      data: [{
        key: 'Entry fully matching filter',
        value: 2145,
        filteredValue: 2145
      }],
      chartStyle: _types.ChartStyle.VALUE,
      height: 300,
      width: 400,
      onBarClick: onBarClick,
      getTooltipContent: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        "data-testid": "tooltip",
        children: "tooltip"
      })
    }));

    // eslint-disable-next-line cypress/unsafe-to-chain-command
    cy.get('.recharts-bar-rectangle').first().trigger('mousemove').trigger('click', {
      force: true
    });
    cy.get('@onBarClick').should('be.calledWith', Cypress.sinon.match.object, {
      filteredValue: 2145,
      key: 'Entry fully matching filter',
      value: 2145
    });
  });
  it('Should render tooltip on hover', () => {
    const onBarClick = cy.stub().as('onBarClick');
    cy.mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_HorizontalBarChart.default, {
      data: [{
        key: 'Entry fully matching filter',
        value: 2145,
        filteredValue: 2145
      }],
      chartStyle: _types.ChartStyle.VALUE,
      height: 300,
      width: 400,
      onBarClick: onBarClick,
      getTooltipContent: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        "data-test": "tooltip",
        children: "tooltip"
      })
    }));

    // eslint-disable-next-line cypress/unsafe-to-chain-command
    cy.get('.recharts-bar-rectangle').first().trigger('mousemove').trigger('click', {
      force: true
    });
    cy.get('[data-test="tooltip"]').should('be.visible');
  });
  it('Should not grow to available size if not enough data provided', () => {
    const onBarClick = cy.stub().as('onBarClick');
    cy.mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_HorizontalBarChart.default, {
      data: [{
        key: 'Entry fully matching filter',
        value: 2145,
        filteredValue: 2145
      }],
      chartStyle: _types.ChartStyle.VALUE,
      onBarClick: onBarClick,
      getTooltipContent: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        "data-testid": "tooltip",
        children: "tooltip"
      })
    }));
    // expect(component.find('ForwardRef').prop('height')).toEqual(65);
  });
});
//# sourceMappingURL=HorizontalBarChart.cy.js.map