"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _recharts = require("recharts");
var _VerticalBarChartComponentModule = _interopRequireDefault(require("./VerticalBarChart.component.module.scss"));
var _useBarChart = require("../useBarChart.hook");
var _ColoredBar = _interopRequireDefault(require("../ColoredBar/ColoredBar.component"));
var _types = require("../../../types");
var _TooltipCursor = _interopRequireDefault(require("../TooltipCursor/TooltipCursor.component"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function VerticalBarChart({
  data,
  dataFeature,
  width,
  height,
  onBarClick,
  getTooltipContent,
  showXAxis
}) {
  const {
    focusedBarIndex,
    onClick,
    onMouseMove,
    onMouseOut,
    TooltipContent
  } = (0, _useBarChart.useBarChart)(data, onBarClick, getTooltipContent);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.ResponsiveContainer, {
    height: height,
    width: width,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_recharts.BarChart, {
      data: data,
      className: (0, _classnames.default)(_VerticalBarChartComponentModule.default['vertical-bar-chart']),
      onMouseMove: onMouseMove,
      layout: "horizontal",
      onClick: onClick,
      margin: {
        // Or labels will overflow
        bottom: showXAxis ? 40 : 10
      },
      onMouseLeave: onMouseOut,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.CartesianGrid, {
        strokeDasharray: "3 3",
        vertical: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Bar, {
        dataKey: _useBarChart.getPrimaryBarValue,
        stackId: "1",
        ..._useBarChart.PRIMARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColoredBar.default, {
          chartStyle: _types.ChartStyle.VALUE,
          barType: "primary",
          focusedBarIndex: focusedBarIndex
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Bar, {
        dataKey: _useBarChart.getSecondaryBarValue,
        stackId: "1",
        ..._useBarChart.SECONDARY_BAR_ANIMATION_PROPS,
        shape: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColoredBar.default, {
          chartStyle: _types.ChartStyle.VALUE,
          barType: "secondary",
          focusedBarIndex: focusedBarIndex
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Tooltip, {
        isAnimationActive: false,
        content: TooltipContent,
        cursor: /*#__PURE__*/(0, _jsxRuntime.jsx)(_TooltipCursor.default, {
          dataFeature: dataFeature
        })
      }), showXAxis && /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.XAxis, {
        dataKey: "label",
        type: "category",
        interval: 0,
        angle: -45,
        textAnchor: "end"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.YAxis, {
        dataKey: "value",
        orientation: "right",
        tickLine: false,
        type: "number",
        mirror: true,
        interval: 0
      })]
    })
  });
}
var _default = exports.default = VerticalBarChart;
//# sourceMappingURL=VerticalBarChart.component.js.map