"use strict";

var _VerticalBarChart = _interopRequireDefault(require("./VerticalBarChart.component"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
context('<HorizontalBarChart />', () => {
  it('Should trigger onBarClick', () => {
    const onBarClick = cy.stub().as('onBarClick');
    const entry = {
      key: {
        min: 2000,
        max: 2100
      },
      label: '[2000, 2100[',
      value: 200,
      filteredValue: 100
    };
    cy.mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_VerticalBarChart.default, {
      data: [entry],
      height: 300,
      width: 300,
      onBarClick: onBarClick,
      getTooltipContent: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        "data-testid": "tooltip",
        children: "tooltip"
      })
    }));

    // eslint-disable-next-line cypress/unsafe-to-chain-command
    cy.get('.recharts-bar-rectangle').first().trigger('mousemove').trigger('click', {
      force: true
    });
    cy.get('@onBarClick').should('be.calledWith', Cypress.sinon.match.object, entry);
  });
  it('Should render tooltip on hover', () => {
    const onBarClick = cy.stub().as('onBarClick');
    const getTooltipContent = () => /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      "data-test": "myTooltipContent",
      children: "myTooltipContent"
    });
    const entry = {
      key: {
        min: 2000,
        max: 2100
      },
      label: '[2000, 2100[',
      value: 200,
      filteredValue: 100
    };
    cy.mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_VerticalBarChart.default, {
      data: [entry],
      height: 300,
      width: 300,
      onBarClick: onBarClick,
      getTooltipContent: getTooltipContent
    }));

    // eslint-disable-next-line cypress/unsafe-to-chain-command
    cy.get('.recharts-bar-rectangle').first().trigger('mousemove').trigger('click', {
      force: true
    });
    cy.get('[data-test="myTooltipContent"]').should('be.visible');
  });
});
//# sourceMappingURL=VerticalBarChart.cy.js.map