import { AnimationTiming } from 'recharts/types/util/types';
import { ChartEntry } from './barChart.types';
interface AnimationProps {
    animationBegin: number;
    animationDuration: number;
    animationEasing: AnimationTiming;
}
export declare const PRIMARY_BAR_ANIMATION_PROPS: AnimationProps;
export declare const SECONDARY_BAR_ANIMATION_PROPS: AnimationProps;
/**
 * Primary bar shows
 * - filtered data if any
 * - unfiltered data otherwise
 */
export declare function getPrimaryBarValue(entry: ChartEntry<any>): number;
/**
 * Secondary bar shows data not matching filter (if any)
 */
export declare function getSecondaryBarValue(entry: ChartEntry<any>): number | null;
export declare function useBarChart<U>(data: U[], onBarClick: (event: MouseEvent, value: U) => void, getTooltipContent: (entry: U) => JSX.Element): {
    focusedBarIndex: number | null;
    onMouseOut: () => void;
    onMouseMove: (state: any) => void;
    onClick: (_: any, event: MouseEvent) => void;
    TooltipContent: () => JSX.Element | null;
};
export {};
