"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _VerticalBarChart = _interopRequireDefault(require("../../BarChart/VerticalBarChart/VerticalBarChart.component"));
var _VerticalChartFilterComponentModule = _interopRequireDefault(require("./VerticalChartFilter.component.module.scss"));
var _RangeFilter = _interopRequireDefault(require("../../RangeFilter/RangeFilter.component"));
var _KeyValueTooltip = _interopRequireDefault(require("../../KeyValueTooltip/KeyValueTooltip.component"));
var _barChart = require("../../BarChart/barChart.tooltip");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function VerticalChartFilter({
  activeRange,
  rangeLimits,
  data,
  barDataFeature,
  onBarClick,
  onRangeChange,
  rangeHandler,
  showXAxis
}) {
  const [sliderValue, setSliderValue] = (0, _react.useState)(activeRange || rangeLimits);
  (0, _react.useEffect)(() => {
    if (activeRange) {
      setSliderValue(activeRange);
    }
  }, [activeRange]);
  function isInActiveRange(entry) {
    // Check if bar is inside range, and handle bar min/max outside of rangelimits
    return sliderValue.min <= Math.max(rangeLimits.min, entry.key.min) && Math.min(rangeLimits.max, entry.key.max) <= sliderValue.max;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: _VerticalChartFilterComponentModule.default['vertical-chart-panel'],
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: _VerticalChartFilterComponentModule.default['vertical-chart-panel__chart-container'],
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_VerticalBarChart.default, {
        showXAxis: showXAxis,
        data: data.map(entry => ({
          ...entry,
          value: entry.value,
          // undefined (no filter applied) !== 0 (not matching value)
          filteredValue: isInActiveRange(entry) ? entry.filteredValue : 0
        })),
        dataFeature: barDataFeature,
        onBarClick: onBarClick,
        getTooltipContent: entry => /*#__PURE__*/(0, _jsxRuntime.jsx)(_KeyValueTooltip.default, {
          entries: (0, _barChart.getVerticalBarChartTooltip)(entry)
        })
      })
    }), rangeLimits.min !== rangeLimits.max && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: _VerticalChartFilterComponentModule.default['vertical-chart-panel__slider-container'],
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_RangeFilter.default, {
        range: sliderValue,
        limits: rangeLimits,
        onSliderChange: setSliderValue,
        onAfterChange: range => {
          onRangeChange(range);
        },
        ...rangeHandler
      })
    })]
  });
}
var _default = exports.default = VerticalChartFilter;
//# sourceMappingURL=VerticalChartFilter.component.js.map