"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomLegend = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _LineChartModule = _interopRequireDefault(require("./LineChart.module.scss"));
var _LineChartLineIcon = require("./LineChartLineIcon.component");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CustomLegend = ({
  payload,
  external,
  hasLineSelection,
  selection,
  onLegendClicked = () => {},
  onLegendHovered = () => {}
}) => {
  const {
    linesConfig,
    align,
    showInactives,
    isRightAxisDisplayed
  } = external;
  const linesToShow = showInactives ? linesConfig : linesConfig.filter(lineConfig => lineConfig.status !== 'inactive');
  if (payload !== null && payload !== void 0 && payload.length) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("ul", {
      className: (0, _classnames.default)(_LineChartModule.default['line-chart-custom-legend'], _LineChartModule.default[`line-chart-custom-legend--align-${align || 'right'}`], {
        [_LineChartModule.default['line-chart-custom-legend--shift-left']]: isRightAxisDisplayed
      }),
      children: linesToShow.map(config => {
        var _config$legendLabel;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
            "data-testid": `legend_item_${config.key}`,
            className: (0, _classnames.default)(_LineChartModule.default['line-chart-custom-legend-item'], {
              [_LineChartModule.default['line-chart-custom-legend__button--selection-enabled']]: hasLineSelection,
              [_LineChartModule.default['line-chart-custom-legend__button--selected']]: selection.includes(config.key),
              [_LineChartModule.default['line-chart-custom-legend__button--inactive']]: (config === null || config === void 0 ? void 0 : config.status) === 'inactive'
            }),
            role: "button",
            onClick: () => onLegendClicked(config.key),
            onKeyPress: () => onLegendClicked(config.key),
            onMouseEnter: () => onLegendHovered(config.key),
            onMouseLeave: () => onLegendHovered(''),
            tabIndex: 0,
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_LineChartLineIcon.LineIcon, {
              color: config.color,
              dashed: config === null || config === void 0 ? void 0 : config.dashed
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              className: (0, _classnames.default)(_LineChartModule.default['line-chart-custom-legend__line-label']),
              children: (_config$legendLabel = config.legendLabel) !== null && _config$legendLabel !== void 0 ? _config$legendLabel : config.key
            })]
          })
        }, config.key);
      })
    });
  }
  return null;
};
exports.CustomLegend = CustomLegend;
//# sourceMappingURL=LineChartLegend.component.js.map