"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LineIcon = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _LineChartModule = _interopRequireDefault(require("./LineChart.module.scss"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const getLineIconBackground = (color, dashed) => {
  if (dashed) {
    return `repeating-linear-gradient(to right, ${color} 0, ${color} 7px,transparent 6px,transparent 9px)`;
  }
  return color;
};
const LineIcon = ({
  color,
  dashed = false
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(_LineChartModule.default['line-chart-line-icon']),
    style: {
      background: getLineIconBackground(color, dashed)
    }
  });
};
exports.LineIcon = LineIcon;
//# sourceMappingURL=LineChartLineIcon.component.js.map