"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomTooltip = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _Tooltip = require("../Tooltip/Tooltip.component");
var _LineChartModule = _interopRequireDefault(require("./LineChart.module.scss"));
var _LineChartLineIcon = require("./LineChartLineIcon.component");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CustomTooltip = ({
  active,
  payload,
  label,
  external
}) => {
  const {
    linesConfig,
    leftUnit,
    rightUnit,
    xformatter,
    showInactives
  } = external;
  const getLineUnit = axis => axis === 'right' ? rightUnit : leftUnit;
  const getItemDisplayValue = (payloadTable, lineConfig) => {
    const initialValue = payloadTable.find(item => item.dataKey === lineConfig.key).value;
    return lineConfig.tooltipFormatter ? lineConfig.tooltipFormatter(initialValue) : initialValue;
  };
  const labelDisplayValue = label && xformatter ? xformatter(label) : label;
  const linesToShow = showInactives ? linesConfig : linesConfig.filter(lineConfig => lineConfig.status !== 'inactive');
  if (active && payload !== null && payload !== void 0 && payload.length) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.Tooltip, {
      title: labelDisplayValue,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("ul", {
        className: _LineChartModule.default['line-chart-custom-tooltip'],
        children: linesToShow.map(config => {
          var _config$tooltipLabel;
          return /*#__PURE__*/(0, _jsxRuntime.jsxs)("li", {
            id: `tooltip_item_${config.key}`,
            className: (0, _classnames.default)({
              [_LineChartModule.default['line-chart-custom-tooltip__line-item--inactive']]: (config === null || config === void 0 ? void 0 : config.status) === 'inactive'
            }),
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_LineChartLineIcon.LineIcon, {
              color: config.color,
              dashed: config === null || config === void 0 ? void 0 : config.dashed
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              children: (_config$tooltipLabel = config.tooltipLabel) !== null && _config$tooltipLabel !== void 0 ? _config$tooltipLabel : config.key
            }), ":", /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              className: (0, _classnames.default)(_LineChartModule.default['line-chart-custom-tooltip__line-value']),
              children: getItemDisplayValue(payload, config)
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              children: getLineUnit(config.axis)
            })]
          }, config.key);
        })
      })
    });
  }
  return null;
};
exports.CustomTooltip = CustomTooltip;
//# sourceMappingURL=LineChartTooltip.component.js.map