"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
function useRangeInputField(rangeValue, formatter, parser, onChange) {
  const [inputValue, setInputValue] = (0, _react.useState)('');
  const resetValue = (0, _react.useCallback)(() => {
    setInputValue(formatter(rangeValue));
  }, [formatter, rangeValue]);
  function submit(stringValue) {
    const parsed = parser(stringValue);
    if (parsed !== null) {
      if (parsed !== rangeValue) {
        onChange(parsed);
      }
    } else {
      resetValue();
    }
  }
  (0, _react.useEffect)(() => {
    resetValue();
  }, [resetValue]);
  return {
    value: inputValue,
    setInputValue,
    onKeyDown: event => {
      if (event.key === 'Enter') {
        submit(inputValue);
      } else if (event.key === 'Escape') {
        resetValue();
      }
    },
    onBlur: () => submit(inputValue),
    submit
  };
}
var _default = exports.default = useRangeInputField;
//# sourceMappingURL=useRangeInputField.hook.js.map