"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatDate = formatDate;
exports.formatDateTime = formatDateTime;
exports.formatNumber = formatNumber;
exports.getFractionDigits = getFractionDigits;
var _format = require("date-fns/format");
var _i18next = _interopRequireDefault(require("i18next"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
// should use locale value
const DATE_FORMAT = 'yyyy-MM-dd';
const DATE_TIME_FORMAT = 'yyyy-MM-dd HH:mm:ss';

/**
 * Return the number of fraction digits
 */
function getFractionDigits(num) {
  var _match$;
  const match = `${num}`.match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);
  // match[1] Number of digits right of decimal point.
  // match[2]	Scientific notation
  return Math.max(0, ((match === null || match === void 0 ? void 0 : (_match$ = match[1]) === null || _match$ === void 0 ? void 0 : _match$.length) || 0) - +((match === null || match === void 0 ? void 0 : match[2]) || 0));
}
function formatDate(value) {
  return (0, _format.format)(value, DATE_FORMAT);
}
function formatDateTime(value) {
  return (0, _format.format)(value, DATE_TIME_FORMAT);
}
function formatNumber(value, precision) {
  return value > 1e10 ? value.toFixed(0) : value.toLocaleString(_i18next.default.language, {
    maximumFractionDigits: precision
  });
}
//# sourceMappingURL=formatters.js.map